#import <Foundation/Foundation.h>

#import "NSObject+Signals.h"

@interface Foo : NSObject {
}
- (void)doStuff;
- (void)log:(NSString *)string;
@end

@implementation Foo
- (void)doStuff;
{
	NSLog(@"Did stuff");
	[self emitSignal:@"log:" withObject:@"Do more stuff"];
}
- (void)log:(NSString *)string
{
	NSLog(string);
}
@end


int main (int argc, const char * argv[]) {
	NSAutoreleasePool * pool = [[NSAutoreleasePool alloc] init];

	Foo *a = [[[Foo alloc] init] autorelease];
	[a doStuff];
	Foo *b = [[[Foo alloc] init] autorelease];
	[a connectSignal:@"log:" withTarget:b];
	[a doStuff];

	[pool release];
	return 0;
}
